# stg-undo(1) Manual Page

## NAME

stg-undo - Undo the last command

## SYNOPSIS

    stg undo [OPTIONS]

## DESCRIPTION

Reset the patch stack to the state before the last operation. Consecutive undos will go back to yet older stack states.

## OPTIONS

-n <n>
--number=<n>

  Undo the last <n> commands

--hard

  Discard changes in the index and worktree

## StGit

Part of the StGit suite - see stg(1)